DependencyReport (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Java] Interface DependencyReport

- A dependency report returned by a DependencyManager instance

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<java.io.File>` | `getAllArtifacts()` @return All the artifacts
    `java.lang.String` | `getClasspath()` @return The classpath as a string
    `java.util.List<java.io.File>` | `getJarFiles()` @return The JAR files
    `java.util.List<java.io.File>` | `getPluginZips()` @return The plugin zip files
    `java.lang.Throwable` | `getResolveError()` @return The resolve error if there was one, otherwise null if no error occured
    `java.util.List<ResolvedArtifactReport>` | `getResolvedArtifacts()` @return The ResolvedArtifactReport instances for all resolved artifacts
    `java.lang.String` | `getScope()` @return The scope of this report
    `boolean` | `hasError()` @return Whether there was a resolve error

- - ### Method Detail

    - #### public java.util.List<java.io.File> getAllArtifacts()

      Returns:
        All the artifacts

    - #### public java.lang.String getClasspath()

      Returns:
        The classpath as a string

    - #### public java.util.List<java.io.File> getJarFiles()

      Returns:
        The JAR files

    - #### public java.util.List<java.io.File> getPluginZips()

      Returns:
        The plugin zip files

    - #### public java.lang.Throwable getResolveError()

      Returns:
        The resolve error if there was one, otherwise null if no error occured

    - #### public java.util.List<ResolvedArtifactReport> getResolvedArtifacts()

      Returns:
        The ResolvedArtifactReport instances for all resolved artifacts

    - #### public java.lang.String getScope()

      Returns:
        The scope of this report

    - #### public boolean hasError()

      Returns:
        Whether there was a resolve error